org.apache.jmeter.testelement.property

## Class PropertyIteratorImpl

- java.lang.Object
- - org.apache.jmeter.testelement.property.PropertyIteratorImpl

- All Implemented Interfaces:
    java.util.Iterator<JMeterProperty>, PropertyIterator

      public class PropertyIteratorImpl
      extends java.lang.Object
      implements PropertyIterator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyIteratorImpl(java.util.Collection<JMeterProperty> value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `JMeterProperty` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### PropertyIteratorImpl

          public PropertyIteratorImpl(java.util.Collection<JMeterProperty> value)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<JMeterProperty>`
      Specified by:
        `hasNext` in interface `PropertyIterator`

    - #### next

          public JMeterProperty next()

      Specified by:
        `next` in interface `java.util.Iterator<JMeterProperty>`
      Specified by:
        `next` in interface `PropertyIterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<JMeterProperty>`
      Specified by:
        `remove` in interface `PropertyIterator`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.